com.informix.asf

## Class IfxASFException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.informix.asf.IfxASFException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  IfxASFRemoteException, IfxCSSException

    public class IfxASFException
    extends java.lang.Exception

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IfxASFException(int errId, java.lang.String errmsg)`
`IfxASFException(int errId, java.lang.String errmsg, java.lang.Throwable cause)`
`IfxASFException(java.lang.String errmsg)`
`IfxASFException(java.lang.String errmsg, java.lang.Throwable cause)`

### Method Summary

Methods
`int` `getErrorId()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IfxASFException

    public IfxASFException(int errId,
                   java.lang.String errmsg)

#### IfxASFException

    public IfxASFException(int errId,
                   java.lang.String errmsg,
                   java.lang.Throwable cause)

#### IfxASFException

    public IfxASFException(java.lang.String errmsg)

#### IfxASFException

    public IfxASFException(java.lang.String errmsg,
                   java.lang.Throwable cause)

### Method Detail

#### getErrorId

    public int getErrorId()

Returns:
  returns the error id of the error.